Anonymous | Login
Project:
RSS
  
News | My View | View Issues | Roadmap | Summary

View Issue DetailsJump to Notes ] Issue History ] Print ]
ID
0019648
TypeCategorySeverityReproducibilityDate SubmittedLast Update
defect[Openbravo ERP] 09. Financial managementminoralways2012-02-03 09:452012-04-02 06:10
ReporterVictorVillarView Statuspublic 
Assigned ToioritzCia 
PriorityhighResolutionfixedFixed in Version
StatusclosedFix in branchpiFixed in SCM revision644ee93d7081
ProjectionnoneETAnoneTarget Version3.0MP10
OSAnyDatabaseAnyJava version
OS VersionDatabase versionAnt version
Product Version3.0MP7.1SCM revision 
Review Assigned To
Web browser
ModulesCore
Regression level
Regression date
Regression introduced in release
Regression introduced by commit
Triggers an Emergency PackNo
Summary

0019648: With the Format.xml changed, wrong value in Conversion rate in Add Payment popup

DescriptionWith the Format.xml changed, decimal separator defined as "," and "." grouping separator, when adding a payment and the user selects an account different than the invoice currency, the value of exchange rate field is with "." decimal separator
Steps To ReproduceAs group Admin role
Set a conversion rate, USD to EUR and EUR to USD
Create a financial account to F&B US, Inc.-->Name: Prueba, Currency: EUR, Payment Method: Payment In allowed: YES and Receive Payments in others Currencies

go to Sales invoice window:
 Create a new one: Business partner: Be Soft
Go to lines tab:
 Create a new one: Product: ale beer
Save it and Complete it.

Click the Add payment In/out button
select the Deposit In: Prueba
New fields appear and the Exchange rate gets the value with "." decimal separator, but actually is working with thousands.
Example: Exchange rate defined as: 0,8 actually is working with 0.800000 = 800000
TagsNo tags attached.
Attached Files

- Relationships Relation Graph ] Dependency Graph ]

-  Notes
(0046524)
hgbot (developer)
2012-03-20 09:35

Repository: erp/devel/pi
Changeset: 644ee93d70811eeacd2e526b45ed92a2e520274b
Author: Ioritz Cia <ioritz.cia <at> openbravo.com>
Date: Wed Mar 14 17:46:46 2012 +0100
URL: http://code.openbravo.com/erp/devel/pi/rev/644ee93d70811eeacd2e526b45ed92a2e520274b [^]

Fixes issue 19648: wrong value in Conversion rate.
With the Format.xml changed, wrong value in Conversion rate in Add Payment popup.

---
M modules/org.openbravo.advpaymentmngt/src/org/openbravo/advpaymentmngt/ad_actionbutton/AddPaymentFromInvoice.java
---
(0046902)
VictorVillar (developer)
2012-03-29 16:42

Verified
(0047161)
hudsonbot (developer)
2012-04-02 06:10

A changeset related to this issue has been promoted main and to the
Central Repository, after passing a series of tests.

Promotion changeset: https://code.openbravo.com/erp/devel/main/rev/7814864461ac [^]

Maturity status: Test

- Issue History
Date Modified Username Field Change
2012-02-03 09:45 VictorVillar New Issue
2012-02-03 09:45 VictorVillar Assigned To => jonalegriaesarte
2012-02-03 09:45 VictorVillar Modules => Core
2012-02-03 09:45 VictorVillar Issue Monitored: networkb
2012-03-06 19:12 jonalegriaesarte Assigned To jonalegriaesarte => ioritzCia
2012-03-16 09:25 ioritzCia Status new => scheduled
2012-03-16 09:25 ioritzCia fix_in_branch => pi
2012-03-20 09:35 hgbot Checkin
2012-03-20 09:35 hgbot Note Added: 0046524
2012-03-20 09:35 hgbot Status scheduled => resolved
2012-03-20 09:35 hgbot Resolution open => fixed
2012-03-20 09:35 hgbot Fixed in SCM revision => http://code.openbravo.com/erp/devel/pi/rev/644ee93d70811eeacd2e526b45ed92a2e520274b [^]
2012-03-29 16:42 VictorVillar Note Added: 0046902
2012-03-29 16:42 VictorVillar Status resolved => closed
2012-04-02 06:10 hudsonbot Checkin
2012-04-02 06:10 hudsonbot Note Added: 0047161


Copyright © 2000 - 2009 MantisBT Group
Powered by Mantis Bugtracker